Subject: [TR] Vacuum Advance of a delco remy

From: Bud Rolofson <[email-masked]>
Date: Mon, 11 Jan 2021 11:33:26 -0700

Listerati,

I’m trouble shooting a overheating problem at highway speeds (65-70mph) with my 69 Spitfire. Temp gage goes to red at higher speeds but then immediately cools off when idling.

I suspect I have a bad or weaken vacuum advance on my Spitfire’s delco remy (friggin spell check made me type that over and over) distributor. I tested the vacuum line from the carb and it gets to 9 psi where the line connects to the vacuum advance when the engine is at 2500-3000 RPM.

The problem is there is no movement to advance the timing that I can see by watching the vernier advance knob, it does not move at 2500-3000 rpm.

Two questions:

Should 9 psi be enough for the vacuum advance to work properly?  I couldn’t find specs for vacuum advances.

If the vernier knob isn’t moving then is the vacuum advance not working or the centrifugal weights not moving? Or maybe both?

Thanks
Bud 

Extreme Parts Racing (more than just a haircut)

71TR6 CC57365 (Good 6)
71 Spitfire MK IV Race Car #3
69 Spitfire MK III (back up FE engine/dinghy car)
93 Minnie Winnie Race Support Vehicle 
77 Z-50A Hardly Davidson Honda Mini-Trail Bike (Triumph Pit Bike)

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]